Subject: bug#32438: 26.1; Long command in shell-mode results in ^G being displayed

From: 吴锐扬 <[email-masked]>
Date: Fri, 5 Feb 2021 22:20:56 -0700

Hi there,

I just want to follow up on this bug since it has been around for a while. Although I cannot reproduce this bug with the steps described in the original bug report, it definitely exists and can be reproduced in a clearer way: https://emacs.stackexchange.com/questions/40603/process-input-seems-buggy-in-emacs-on-os-x
I personally encountered this in ESS inferior R buffer: https://github.com/emacs-ess/ESS/issues/1093

I have tested this under macOS Catalina and Big Sur with master branch Emacs and Yamamoto’s Emacs Mac Port. This bug can always be reproduced. I also tried on an m1 arm MacBook, and it is still there so it has nothing to do with architecture.

Hopefully this can help you identify the issue.

Ruiyang